### Method

# Ide TreeNode insert_after

#### Declaration

    void
    ide_tree_node_insert_after (
      IdeTreeNode* self,
      IdeTreeNode* child
    )

#### Description

Inserts `child` directly after `self` by adding it to the parent of `self`.

This operation is O(1).

Available since: | 3.32

#### Parameters

`child` | `IdeTreeNode`
| A `IdeTreeNode`.
| The data is owned by the caller of the function.